<video controls></video>
<script src=media-file.js></script>
<script src=video-test.js></script>
<script>
    testExpected("video.error", null);
    var didLoad = false;

    waitForEvent("loadstart", function () { if (didLoad) return; didLoad = true; video.load(); });

    waitForEvent("abort", function () { testExpected("video.error.code", MediaError.MEDIA_ERR_ABORTED); } );

    waitForEvent('canplaythrough', function () { 
        testExpected("video.error", null);
        endTest();
    } );

    video.src = findMediaFile("video", "content/test");
</script>
